Bug 1399697 (CVE-2016-9437)

Summary: CVE-2016-9437 w3m: Write access violation with '<button type=radio>'
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: eng-i18n-bugs, i18n-bugs, pnemade
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-17 08:48:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1401423, 1401424    
Bug Blocks: 1399744    

Description Andrej Nemec 2016-11-29 15:13:55 UTC
A write access violation leading to segmentation fault will occur in w3m while parsing maliciously crafted input.

Upstream bug:

https://github.com/tats/w3m/issues/17

Upstream fix:

https://github.com/tats/w3m/commit/67be73b03a5ad581e331ec97cb275cd8a52719ed

References:

http://seclists.org/oss-sec/2016/q4/321

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:52:43 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]